## quilt-0.28.tar.gz

=== po/Makefile ===
QUILT_IN :=   add applied delete diff files import new next patches \
              pop previous push refresh remove series setup top unapplied
SCRIPTS_IN := apatch rpatch patchfns spec2series patchfns
# scripts/parse-patch is perl based

# LINGUAS = ...
# localedir = ...

all: $(LINGUAS:%=%.mo)

%.mo : %.po
	msgfmt --statistics -o $@ $<

%.po : quilt.pot
	msgmerge -o $@ $@ $^

quilt.pot: $(QUILT_IN:%=../quilt/%.in) $(SCRIPTS_IN:%=../scripts/%.in) ../bin/quilt.in
	rm -f quilt.pot; touch quilt.pot
	for file in $+ ; do \
	  bash --dump-po-strings $$file \
	    |msguniq \
	    |msgcat --force-po -F - quilt.pot -o quilt.pot; \
	done

clean:
	rm -f *.mo *~

install: all
	for lang in $(LINGUAS) ; do \
		install -d $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES ; \
		install -m 644 $$lang.mo \
		    $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES/quilt.mo ; \
	done

.PHONY: install clean all

=== debian/changelog ===
quilt (0.25-2) unstable; urgency=low

  * Do not install anything under /usr/share/doc/quilt-version/
    Thanks to Daniel Jacobowitz for reporting that bug.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 12 Sep 2003 08:18:29 +0200

quilt (0.25-1) unstable; urgency=low

  * New upstream release.
  * Fix LC_ALL to C during the build so that the README.gz becomes in 
    english and not french. Thanks to Jan-Benedict Glaw for reporting that 
    issue.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Tue,  9 Sep 2003 08:30:52 +0200

quilt (0.24-1) unstable; urgency=low

  * New upstream release
  * debquilt.mk: Makefile chunk to manage debian packages using quilt

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu, 26 Jun 2003 15:26:16 +0200

quilt (0.23-1) unstable; urgency=low

  * New upstream release
  * Hardcode location of bash

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed,  9 Apr 2003 09:54:30 +0200

quilt (0.22-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 14 Feb 2003 14:12:31 +0100

quilt (0.21-2) unstable; urgency=low

  * Fight lintian warnings and error: 
    - Format copyright file properly
    - Don't depend on essential packages
    - Change Build-Depends-Indep: to Build-Depends: since the package is
      now arch-dependent. 
    - Update to lastest standards
  * The documentation did move one more time.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 31 Jan 2003 09:21:03 +0100

quilt (0.21-1) unstable; urgency=low

  * New upstream release.
  * Change from architecture: all to architecture: any, since we now have a
    compiled C programm.
  * Add the new documentation provided.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed, 29 Jan 2003 10:19:31 +0100

quilt (0.11-1) unstable; urgency=low

  * New upstream release. New upstream author. Developpement moved to savannah.
  * Some functionnalities were removed, but all the scripts are much more robust now. 

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Sat, 18 Jan 2003 23:36:29 +0100

quilt (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Should now work if installed in /usr/lib or if unpacked in the current
    directory.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed, 11 Dec 2002 09:31:28 +0100

quilt (0.8-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <martin.quinson@ens-lyon.fr>  Wed,  6 Nov 2002 22:48:32 +0100

quilt (0.6-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <martin.quinson@ens-lyon.fr>  Wed,  6 Nov 2002 22:48:32 +0100

quilt (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Martin Quinson <martin.quinson@ens-lyon.fr>  Tue, 29 Oct 2002 09:29:20 +0100

=== debian/control ===
Source: quilt
Section: devel
Priority: optional
Maintainer: Martin Quinson <martin.quinson@ens-lyon.fr>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.8.0

Package: quilt
Architecture: any
Depends: patch, diffstat, bzip2, gettext
Suggests: ccache
Description: Scripts for working with series of patches
 The scripts allow to manage a series of patches by keeping track of the
 changes each patch makes. Patches can be applied, un-applied, refreshed,
 etc. The key philosophical concept is that your primary output is patches.
 Not ".c" files, not ".h" files.  But patches.  So patches are the
 first-class object here.
 .
 This package also provide some basic support to build debian package and
 handling the diffs with quilt.
 .	 
 These scripts are based on Andrew Morton's patch scripts posted a while ago
 on the linux-kernel mailing-list, but were heavily modified since then.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	autoconf
	./configure --prefix=/usr --with-bash=/bin/bash

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/patchstack.sgml > patchstack.1
	LC_ALL=C $(MAKE) prefix=/usr BUILD_ROOT=$(CURDIR)/debian/quilt

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-test -f Makefile && touch Makefile && $(MAKE) prefix=/usr BUILD_ROOT=$(CURDIR)/debian/quilt distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/patchstack.
	LC_ALL=C $(MAKE) prefix=/usr BUILD_ROOT=$(CURDIR)/debian/quilt install
	mkdir debian/quilt/usr/include
	cp debian/debquilt.mk debian/quilt/usr/include
	mv debian/quilt/usr/share/doc/quilt-*/ debian/quilt/usr/share/doc/quilt/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs quilt.changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
